Problème avec le tuto de koossery de workflow avancé et JBPM

cancel
Showing results for 
Search instead for 
Did you mean: 
chaabani
Member II

Problème avec le tuto de koossery de workflow avancé et JBPM

Je suis un débutant ,dans le cadre de mon projet universitaire j'avait comme tache de faire fonctionné cette exemple

ftp://ftp-developpez.com/koossery-tech/tutoriels/java/ecm/alfresco-jbpm/exemple-implementation-workflow-av...

j'ai téléchargé la source du code fournit avec le tuto mais il y'a beaucoup de dépendances non résolu j'ai téléchargé manuellement les 30 jars manquante et je les ai ajouté au projet
sauf un seul que j'ai pas trouvé sur le net a ce qu'il parait  le projet utilise un autre module ou projet qui s'appelle "FwkKoosseryJavaBE-1.0.0.jar"

bien sur le projet JBPM est réalisé avec maven2 et j'ai utilisé des plugin sur eclipse et sur netbeans pour téléchargé automatiquement les dépendances manquante mais sa n'a pas marché ,j'ai un insérer le repository de JBoss ce qui n'a pas marché n'on plus

un autre problème que je crois qui est lié au premier problème
c'est que je n'arrive pas a déployé l'exemple sur alfresco ,malgré que quand je test la connexion sa se passe avec succès

SVP si quelqu'un a ce projet ou jar manquant qu'il m'envoie a cette adresse mohamedali / chaabani _at_ gmail.com
et si il y a des professionnel qui ont déjà rencontré se problème qu'il me donne leur aide
et merci d'avance
Smiley Happy
5 Replies
rguinot
Active Member

Re: Problème avec le tuto de koossery de workflow avancé et JBPM

L'exemple que vous mentionnez date de mai 2009… je pense que vous trouver des sources + fraiches que celle ci vieille de 3 ans…

30 jars manquante
bien sur le projet JBPM est réalisé avec maven2 et j'ai utilisé des plugin sur eclipse et sur netbeans pour téléchargé automatiquement les dépendances manquante mais sa n'a pas marché ,j'ai un insérer le repository de JBoss ce qui n'a pas marché n'on plus

Pensez vous réellement que ces manipulations hasardeuses sont la voie du succès ? A courir dans le noir on risque de se faire mal.

Alfresco intègre depuis la version 4 un nouveau moteur de workflow appelé activiti. voir ici pour la doc et les tutoriaux : http://activiti.org/

Laissez nous savoir.
chaabani
Member II

Re: Problème avec le tuto de koossery de workflow avancé et JBPM

je suis au courant d'activiti mais j'ai une contrainte de temp je veut un tuto sur les workflows avancée avec JBPM
je n'ai trouvé que celui de koossery qui est fait avec la version 3.2 d'Alfresco qui date de 2009
et celui de ECM architect qui est fait avec la version 2.9 d'Alfresco et qui date de 2007
le deuxième projet de workflow avancée celui de ECM manqué quelque jars aussi j'ai résolu les problèmes mais je ne peut encore le déployé sur Alfresco 2.9  Smiley Sad

si tu a un bon tuto fait avec activiti avec les Workflow avancée sa sera gentil de ta part si tu me le communique
chaabani
Member II

Re: Problème avec le tuto de koossery de workflow avancé et JBPM

Le problème a été résolu en incluant dans le pom.xml globale et les autres pom des autres modules le repository d'alfresco et en installant manuellement les autres jars manquant comme jmxtools ou encore jdtcore et aussi pour le jar "FwkKoosseryJavaBE" il suffit de créer les interfaces et les classes abstraite et les inclure dans le projet
aussi il y a des jars dans le poms sans version il suffit d'ajouter une version et le plugin maven la télécharge
aussi j'ai téléchargé le plugin M2eclipse sur eclipse pour télécharger les dépendances et j'ai utilisé la version d'eclipse INDIGO
j'ai eu un problème que eclipse is running on a JRE and a JDK is required  que j'ai résolu on ajoutant dans le fichier "eclipse.ini" la ligne suivante aprés la ligne openFile:
-vm
le chemain du fichier javaw.exe dans votre JDK
j'ai aussi réglé la variable d'environnement pour qu'elle pointe sur le méme JDK
puisque le plugin maven a besoin des classes qui sont contenu dans le JDK et qui se trouve pas dans le JRE

mais il reste un problème c'est que  quand je clique sur test connection  sa se passe avec succés mais quand je veut le déployé un message me dit que le déploiement  a échoué et il m'invite a consulter le log

quelqu'un a une idée !!! sachant que j'utilise le jpm-jpdl designer pour le déployé et la version de alfresco que j'utilise avec JBPM est la mémé
Alfresco community 3.2 r2 !!!

le problème que puisque il n'y a plus de fautes dans le projet JBPM je ne sait pas qu'elle est la source du problème
kossinus
Member II

Re: Problème avec le tuto de koossery de workflow avancé et JBPM

Je suis stagiaire dans une boîte où j'ai presque fait une semaine.Mon boss me demande de faire un workflow et de le déployer sous alfresco.J'ai fais le workflow sous jbpm designer mais je ne sais comment le déployer sous alfresco.
svp, aidez moi!
kossinus
Member II

Re: Problème avec le tuto de koossery de workflow avancé et JBPM

J'ai pu déployer le workflow et cela grâce à activiti.